GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::util::UnsupportedOperationException Class Reference

Indicates that the requested operation is unsopported. More...

`#include <geos.h>`

Inheritance diagram for geos::util::UnsupportedOperationException:

## Public Member Functions
| UnsupportedOperationException (const std::string &msg)
Public Member Functions inherited from geos::util::GEOSException
| GEOSException (std::string const &msg)
| GEOSException (std::string const &name, std::string const &msg)
const char * | what () const throw ()

## Detailed Description

Indicates that the requested operation is unsopported.

This exception is thrown - for example - when requesting the X or Y member of an empty Point

The documentation for this class was generated from the following file:

- UnsupportedOperationException.h